Bug 692733 - (openvas-cli) Review Request: openvas-cli - Command-line tool to drive OpenVAS Manager
Review Request: openvas-cli - Command-line tool to drive OpenVAS Manager
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fabian Affolter
Fedora Extras Quality Assurance
:
Depends On:
Blocks: FE-SECLAB
  Show dependency treegraph
 
Reported: 2011-03-31 19:44 EDT by Michal Ambroz
Modified: 2014-10-17 13:31 EDT (History)
8 users (show)

See Also:
Fixed In Version: openvas-cli-1.3.0-2.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-09-04 16:50:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mail: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Michal Ambroz 2011-03-31 19:44:21 EDT
Hello,
Please I would like to ask you for review of a new openvas package.

SPEC: http://rebus.fedorapeople.org/SPECS/openvas-cli.spec
SRPM: http://rebus.fedorapeople.org/SRPMS/openvas-cli-1.1.2-1.fc14.src.rpm

OpenVAS CLI contains the command line tool "omp" which allows to create batch
processes to drive OpenVAS Manager.
Comment 1 Stjepan Gros 2011-04-10 15:19:22 EDT
Ok, here is my review. But two disclaimers first. First, this is my first semiformal review, and second, obvious, I'm not approved reviewer. What this means is that critiques on my review process are welcomed.

So, here it goes:

+  OK
?  Needs atention
-  Not Applicable

+ MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.

$ rpmlint openvas-cli-1.1.2-1.fc15.src.rpm
openvas-cli.src: W: spelling-error %description -l en_US omp -> mop, imp, om
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

$ rpmlint openvas-cli-1.1.2-1.fc15.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

+ MUST: The package must be named according to the Package Naming Guidelines.

+ MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.

+ MUST: The package must meet the Packaging Guidelines.

+ MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.

+ MUST: The License field in the package spec file must match the actual license.

+ MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.

+ MUST: The spec file must be written in American English.

+ MUST: The spec file for the package MUST be legible.

+ MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.

$ md5sum openvas-cli-1.1.2.tar.gz*
d6fcb33fcc2a34b31074b88a2788304b  openvas-cli-1.1.2.tar.gz
d6fcb33fcc2a34b31074b88a2788304b  openvas-cli-1.1.2.tar.gz.1

+ MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.

Builds on x86_64

? MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.

Tried to build on PPC architecture, but the build failed. Still, I'm not certain that this represents a problem. I don't know how to try to build on other architectures?

+ MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.

+ MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.[9]

- MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.

+ MUST: Packages must NOT bundle copies of system libraries.

+ MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.

- MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.

+ MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)

+ MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line.

+ MUST: Each package must consistently use macros.

+ MUST: The package must contain code, or permissable content.

- MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).

+ MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.

- MUST: Header files must be in a -devel package.

- MUST: Static libraries must be in a -static package.

- MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.

- MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release}

+ MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.

- MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.

+ MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.

+ MUST: All filenames in rpm packages must be valid UTF-8.

+ SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.

Package includes license text

- SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.

+ SHOULD: The reviewer should test that the package builds in mock.

I built it using koji.

+ SHOULD: The package should compile and build into binary rpms on all supported architectures.

But see PPC architecture comment.

? SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.

Only started a command line, but don't have running server.

- SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.

There are no scriptlets

- SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.

No subpackages.

- SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.

No pkgconfig files.

- SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.

No outside dependencies

+ SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.
Comment 2 Michal Ambroz 2011-04-10 19:05:55 EDT
Hello Stjepan,

>Tried to build on PPC architecture, but the build failed. Still, 
> I'm not certain that this represents a problem. 
> I don't know how to try to build on other architectures?
Scratch build works quite fine for i686, x86_64:

$koji build dist-f16 --scratch openvas-cli-1.1.2-1.fc14.src.rpm

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=2992204
Watching tasks (this may be safely interrupted)...
2992204 build (dist-f16, openvas-cli-1.1.2-1.fc14.src.rpm): open (x86-09.phx2.fedoraproject.org)
  2992206 buildArch (openvas-cli-1.1.2-1.fc14.src.rpm, i686): open (x86-17.phx2.fedoraproject.org)
  2992205 buildArch (openvas-cli-1.1.2-1.fc14.src.rpm, x86_64): open (x86-11.phx2.fedoraproject.org)
  2992206 buildArch (openvas-cli-1.1.2-1.fc14.src.rpm, i686): open (x86-17.phx2.fedoraproject.org) -> closed
  0 free  2 open  1 done  0 failed
2992204 build (dist-f16, openvas-cli-1.1.2-1.fc14.src.rpm): open (x86-09.phx2.fedoraproject.org) -> closed
  0 free  1 open  2 done  0 failed
  2992205 buildArch (openvas-cli-1.1.2-1.fc14.src.rpm, x86_64): open (x86-11.phx2.fedoraproject.org) -> closed
  0 free  0 open  3 done  0 failed

For PPC I would guess you would need to build first the openvas-libraries and install openvas-libraries + openvas-libraries-devel.

Best regards
Michal Ambroz
Comment 3 Michal Ambroz 2011-04-18 12:22:00 EDT
Hello Stjepan,
all the dependencies (openvas-libraries, openvas-scanner, openvas-manager) should be now available in updates or updates-testing repositories so you shuold be able to try openvas-cli again.

Best regards
Michal Ambroz
Comment 4 Michal Ambroz 2012-01-24 05:09:07 EST
SPEC: http://rebus.fedorapeople.org/SPECS/openvas-cli.spec
SRPM: http://rebus.fedorapeople.org/SRPMS/openvas-cli-1.1.4-1.fc16.src.rpm

Updated to latest version. The core packages (openvas-libraries, openvas-scanner, openvas-manager) should be functional in Fedora 16 again so you should be able to try.

Best regards
Michal Ambroz
Comment 5 Michal Ambroz 2012-01-24 11:04:57 EST
Tool omp has got problem to connect and authenticate to the openvas-manager.
Code is somewhere in openvas-libraries (omp/*). 

Maybe we hit another gnutls 2.12 bug/feature as this is working with different versions of gnutls.

Authentication details get sent to server, but server directly responds with
with ACK, FIN. If I send the same data over gnutls-cli everything works fine. 
The omp client then hangs forever.

----------- back trace from omp  --------------
Program received signal SIGINT, Interrupt.
0x00110424 in __kernel_vsyscall ()
(gdb) bt
#0  0x00110424 in __kernel_vsyscall ()
#1  0x4b6c9da1 in recv () at ../sysdeps/unix/sysv/linux/i386/socket.S:61
#2  0x434e6614 in recv (__flags=0, __n=5, __buf=0x80683a0, __fd=10) at /usr/include/bits/socket2.h:45
#3  system_read (ptr=0xa, data=0x80683a0, data_size=5) at system.c:99
#4  0x434ba13b in _gnutls_read (session=0x8060ca8, bufel=0xbfffee3c, size=5, pull_func=0x434e65e0 <system_read>) at gnutls_buffers.c:318
#5  0x434baa7a in _gnutls_io_read_buffered (session=0x8060ca8, total=5, recv_type=4294967295) at gnutls_buffers.c:564
#6  0x434b6d80 in _gnutls_recv_int (session=0x8060ca8, type=GNUTLS_APPLICATION_DATA, htype=4294967295, data=0x21b040 "", sizeofdata=1048576) at gnutls_record.c:956
#7  0x434b7e4c in gnutls_record_recv (session=0x8060ca8, data=0x21b040, sizeofdata=1048576) at gnutls_record.c:1246
#8  0x00213e1b in try_read_entity_and_string (session=0x8051858, timeout=0, entity=0xbffff01c, string_return=0x0)
    at /home/mambroz/rpmbuild/BUILD/openvas-libraries-4.0.6/omp/xml.c:492
#9  0x00214414 in try_read_entity (session=0x8051858, timeout=0, entity=0xbffff01c) at /home/mambroz/rpmbuild/BUILD/openvas-libraries-4.0.6/omp/xml.c:688
#10 0x0021444c in read_entity (session=0x8051858, entity=0xbffff01c) at /home/mambroz/rpmbuild/BUILD/openvas-libraries-4.0.6/omp/xml.c:702
#11 0x00214ea0 in omp_authenticate (session=0x8051858, username=0x8051540 "aaa", password=0x8051580 "bbb") at /home/mambroz/rpmbuild/BUILD/openvas-libraries-4.0.6/omp/omp.c:213
#12 0x0804b45b in manager_open (connection=0x8051858) at /home/mambroz/rpmbuild/BUILD/openvas-cli-1.1.4/omp/omp.c:189
#13 0x0804a70d in main (argc=1, argv=0xbffff164) at /home/mambroz/rpmbuild/BUILD/openvas-cli-1.1.4/omp/omp.c:1411

----------- back trace from gsd -----------------
#0  0x00110424 in __kernel_vsyscall ()
#1  0x4b6c9dc8 in recv () at ../sysdeps/unix/sysv/linux/i386/socket.S:97
#2  0x434e6614 in recv (__flags=0, __n=5, __buf=0x84abe50, __fd=19) at /usr/include/bits/socket2.h:45
#3  system_read (ptr=0x13, data=0x84abe50, data_size=5) at system.c:99
#4  0x434ba13b in _gnutls_read (session=0x84ac038, bufel=0xbfffddcc, size=5, pull_func=0x434e65e0 <system_read>) at gnutls_buffers.c:318
#5  0x434baa7a in _gnutls_io_read_buffered (session=0x84ac038, total=5, recv_type=4294967295) at gnutls_buffers.c:564
#6  0x434b6d80 in _gnutls_recv_int (session=0x84ac038, type=GNUTLS_APPLICATION_DATA, htype=4294967295, data=0x21b040 "", sizeofdata=1048576) at gnutls_record.c:956
#7  0x434b7e4c in gnutls_record_recv (session=0x84ac038, data=0x21b040, sizeofdata=1048576) at gnutls_record.c:1246
#8  0x00213e1b in try_read_entity_and_string (session=0x8345364, timeout=0, entity=0xbfffdfac, string_return=0x0)
    at /home/mambroz/rpmbuild/BUILD/openvas-libraries-4.0.6/omp/xml.c:492
#9  0x00214414 in try_read_entity (session=0x8345364, timeout=0, entity=0xbfffdfac) at /home/mambroz/rpmbuild/BUILD/openvas-libraries-4.0.6/omp/xml.c:688
#10 0x0021444c in read_entity (session=0x8345364, entity=0xbfffdfac) at /home/mambroz/rpmbuild/BUILD/openvas-libraries-4.0.6/omp/xml.c:702
#11 0x00214ea0 in omp_authenticate (session=0x8345364, username=0x81fddd8 "", password=0x81fddd8 "") at /home/mambroz/rpmbuild/BUILD/openvas-libraries-4.0.6/omp/omp.c:213
#12 0x08138aa5 in omp_basic::authenticate (this=0xfffffe00, name=..., pwd=...) at /usr/src/debug/gsd-1.2.1/src/omp_basic.cpp:103
#13 0x08138bc5 in omp_basic::openConnection (this=0x8345360) at /usr/src/debug/gsd-1.2.1/src/omp_basic.cpp:126
#14 0x08139a15 in omp_connector::authenticate (this=0x8345520) at /usr/src/debug/gsd-1.2.1/src/omp_connector.cpp:223
#15 0x080bff46 in gsd_control::check_server (this=0x833e248, addr=..., port=9390, user=..., pwd=...) at /usr/src/debug/gsd-1.2.1/src/gsd_control.cpp:497
#16 0x08161313 in gsd_control::qt_static_metacall (_o=0x833e248, _c=QMetaObject::InvokeMetaMethod, _id=17, _a=0xbfffe23c) at /usr/src/debug/gsd-1.2.1/src/moc_gsd_control.cxx:192
#17 0x42029ea1 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
#18 0x08164970 in gsd_dlg::sig_check_server (this=0x83786d0, _t1=..., _t2=9390, _t3=..., _t4=...) at /usr/src/debug/gsd-1.2.1/src/moc_gsd_dlg.cxx:196
#19 0x0811982c in gsd_dlg::check_server (this=0x83786d0, address=..., port=9390, user=..., password=...) at /usr/src/debug/gsd-1.2.1/src/gsd_dlg.cpp:607
#20 0x08164e3a in gsd_dlg::qt_static_metacall (_o=0x83786d0, _c=QMetaObject::InvokeMetaMethod, _id=6, _a=0xbfffe40c) at /usr/src/debug/gsd-1.2.1/src/moc_gsd_dlg.cxx:114
#21 0x42029ea1 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
#22 0x08167020 in dlg_login::sig_check_server (this=0x844fd60, _t1=..., _t2=9390, _t3=..., _t4=...) at /usr/src/debug/gsd-1.2.1/src/moc_gsd_dialogs.cxx:287
#23 0x0812e07d in dlg_login::checkServer (this=0x844fd60) at /usr/src/debug/gsd-1.2.1/src/gsd_dialogs.cpp:355
#24 0x081670d8 in dlg_login::qt_static_metacall (_o=0x844fd60, _c=QMetaObject::InvokeMetaMethod, _id=5, _a=0xbfffe608) at /usr/src/debug/gsd-1.2.1/src/moc_gsd_dialogs.cxx:206
#25 0x42029ea1 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
#26 0x44f272b6 in QLineEdit::textChanged(QString const&) () from /usr/lib/libQtGui.so.4
#27 0x44f27677 in ?? () from /usr/lib/libQtGui.so.4
#28 0x42029ea1 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
#29 0x451daf56 in QLineControl::textChanged(QString const&) () from /usr/lib/libQtGui.so.4
#30 0x44f2c93a in QLineControl::finishChange(int, bool, bool) () from /usr/lib/libQtGui.so.4
#31 0x44f2cc13 in QLineControl::internalSetText(QString const&, int, bool) () from /usr/lib/libQtGui.so.4
#32 0x44f248bd in QLineEdit::setText(QString const&) () from /usr/lib/libQtGui.so.4
#33 0x081195b3 in gsd_dlg::login_update (this=0x83786d0, index=-512) at /usr/src/debug/gsd-1.2.1/src/gsd_dlg.cpp:576
#34 0x08164f4f in gsd_dlg::qt_static_metacall (_o=0x83786d0, _c=QMetaObject::InvokeMetaMethod, _id=4, _a=0xbfffe9b8) at /usr/src/debug/gsd-1.2.1/src/moc_gsd_dlg.cxx:112
#35 0x42029ea1 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
#36 0x08166f38 in dlg_login::sig_profile_selected (this=0x844fd60, _t1=0) at /usr/src/debug/gsd-1.2.1/src/moc_gsd_dialogs.cxx:266
#37 0x081670c9 in dlg_login::qt_static_metacall (_o=0x844fd60, _c=QMetaObject::InvokeMetaMethod, _id=6, _a=0xbfffeb08) at /usr/src/debug/gsd-1.2.1/src/moc_gsd_dialogs.cxx:207
#38 0x42029ea1 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
#39 0x44ee6326 in QComboBox::currentIndexChanged(int) () from /usr/lib/libQtGui.so.4
#40 0x44ee63c0 in ?? () from /usr/lib/libQtGui.so.4
#41 0x44ee66b3 in ?? () from /usr/lib/libQtGui.so.4
#42 0x44ee67d8 in QComboBox::setCurrentIndex(int) () from /usr/lib/libQtGui.so.4
#43 0x44ee807b in ?? () from /usr/lib/libQtGui.so.4
#44 0x42029ea1 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/lib/libQtCore.so.4
#45 0x4207d406 in QAbstractItemModel::rowsInserted(QModelIndex const&, int, int) () from /usr/lib/libQtCore.so.4
#46 0x4200e07f in QAbstractItemModel::endInsertRows() () from /usr/lib/libQtCore.so.4
#47 0x450f38c7 in ?? () from /usr/lib/libQtGui.so.4
#48 0x450f3b51 in ?? () from /usr/lib/libQtGui.so.4

----------------------------
Comment 6 Michal Ambroz 2012-11-16 00:48:00 EST
Hello Stjepan,
please can you try? 

SPEC: http://rebus.fedorapeople.org/SPECS/openvas-cli.spec
SRPM: http://rebus.fedorapeople.org/SRPMS/openvas-cli-1.1.5-1.fc17.src.rpm

OMP (openvas-cli) seems to work now with the OpenVas5 packages and current version of gnutls on Fedora17. 
You need to use srpms from rawhide in order to try on Fedroa 17:
openvas-libraries https://koji.fedoraproject.org/koji/buildinfo?buildID=366563
openvas-scanner https://koji.fedoraproject.org/koji/buildinfo?buildID=366564
openvas-manager https://koji.fedoraproject.org/koji/buildinfo?buildID=366590



Sample omp (openvas-cli) session:
[mambroz@mixer ~]$ omp -G -h localhost 
Enter password: 
b48ad34f-d4d1-44d5-892e-cd7e96de30fc  Requested      192.168.2.1

[mambroz@mixer ~]$ omp -T -h localhost 
Enter password: 
b493b7a8-7489-11df-a3ec-002264764cea  Localhost
2746d8f1-d419-481a-8650-b0ce15f48cd3  kerber

[mambroz@mixer ~]$ omp -F -h localhost 
Enter password: 
5ceff8ba-1f62-11e1-ab9f-406186ea4fc5  CPE
6c248850-1f62-11e1-b082-406186ea4fc5  HTML
77bd6c4a-1f62-11e1-abf0-406186ea4fc5  ITG
7fcc3a1a-1f62-11e1-86bf-406186ea4fc5  LaTeX
9ca6fe72-1f62-11e1-9e7c-406186ea4fc5  NBE
a0b5bfb2-1f62-11e1-85db-406186ea4fc5  PDF
a3810a62-1f62-11e1-9219-406186ea4fc5  TXT
a994b278-1f62-11e1-96ac-406186ea4fc5  XML

[mambroz@mixer ~]$ omp -G -h localhost 
Enter password: 
b48ad34f-d4d1-44d5-892e-cd7e96de30fc  Done         192.168.2.1

[mambroz@mixer ~]$ omp -S b48ad34f-d4d1-44d5-892e-cd7e96de30fc -h localhost -u rebus
Enter password: 
90f2dfaa-6dd6-4e48-89e5-b9b68bdb1e1c

[mambroz@mixer ~]$ omp -G -h localhost 
Enter password: 
b48ad34f-d4d1-44d5-892e-cd7e96de30fc  Running  1%  192.168.2.1


Best regards
Michal Ambroz
Comment 7 Jason Tibbitts 2013-05-16 14:50:12 EDT
Stjepan, I see you're a packager now.  Did you want to finish up this review?  I'm afraid I have no idea how to properly review this software but since you've already invested the effort, maybe you'd like to finish the job.
Comment 8 Jason Tibbitts 2013-06-13 23:06:14 EDT
Well, that didn't work.  It's a pretty simple packages but I have absolutely no idea what this openvas thing is all about.  So I dook a look, and the first thing that strikes me is that this package is out of date (current upstream version is 1.2.0) and that the rest of the openvas packages in Fedora are out of date as well.

So what's happening here?
Comment 9 Fabian Affolter 2014-05-26 14:46:46 EDT
Michal, do you mind to update this package? I will take the review.
Comment 10 Michal Ambroz 2014-06-02 10:39:50 EDT
Thanks Fabian,
here is update to OpenVAS7 openvas-cli version 1.3.0

SPEC: http://people.fedoraproject.org/~rebus/SPECS/openvas-cli.spec
SRPM: http://people.fedoraproject.org/~rebus/SRPMS/openvas-cli-1.3.0-1.fc20.src.rpm

Best regards
Michal Ambroz
Comment 11 Fabian Affolter 2014-06-13 16:13:13 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (vas)".
[X]: %build honors applicable compiler flags or justifies otherwise.
[X]: Package contains no bundled libraries without FPC exception.
[X]: Changelog in prescribed format.
[X]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required -> OK for EPEL5
[x]: Sources contain only permissible code or content.
[X]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed  -> OK for EPEL5
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 71680 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: Buildroot is not present
     Note: Buildroot: present but not needed -> OK for EPEL5
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: %clean present but not required -> OK for EPEL5
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[!]: Spec use %global instead of %define unless justified.
     Note: %define requiring justification: #%define tar_version 1.3.0+beta1
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: openvas-cli-1.3.0-1.fc21.x86_64.rpm
          openvas-cli-1.3.0-1.fc21.src.rpm
openvas-cli.x86_64: W: no-manual-page-for-binary check_omp
openvas-cli.x86_64: W: no-manual-page-for-binary omp-dialog
openvas-cli.src: W: spelling-error %description -l en_US omp -> mop, imp, om
openvas-cli.src:1: W: macro-in-comment %define
openvas-cli.src:12: W: macro-in-comment %{name}
openvas-cli.src:12: W: macro-in-comment %{tar_version}
openvas-cli.src:31: W: macro-in-comment %setup
openvas-cli.src:31: W: macro-in-comment %{name}
openvas-cli.src:31: W: macro-in-comment %{tar_version}
2 packages and 0 specfiles checked; 0 errors, 9 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint openvas-cli
openvas-cli.x86_64: W: no-manual-page-for-binary check_omp
openvas-cli.x86_64: W: no-manual-page-for-binary omp-dialog
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
openvas-cli (rpmlib, GLIBC filtered):
    /bin/bash
    libc.so.6()(64bit)
    libglib-2.0.so.0()(64bit)
    libgnutls.so.28()(64bit)
    libgnutls.so.28(GNUTLS_1_4)(64bit)
    libgpgme.so.11()(64bit)
    libopenvas_base.so.7()(64bit)
    libopenvas_misc.so.7()(64bit)
    libopenvas_nasl.so.7()(64bit)
    libopenvas_omp.so.7()(64bit)
    rtld(GNU_HASH)



Provides
--------
openvas-cli:
    openvas-cli
    openvas-cli(x86-64)



Source checksums
----------------
http://wald.intevation.org/frs/download.php/1633/openvas-cli-1.3.0.tar.gz :
  CHECKSUM(SHA256) this package     : aaf5556a88df8f3d6993d2e28bf6e8e19d7113b066d741261cd60f68a7b819a7
  CHECKSUM(SHA256) upstream package : aaf5556a88df8f3d6993d2e28bf6e8e19d7113b066d741261cd60f68a7b819a7


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/bin/fedora-review -b 692733
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Please fix the issue before importing the SRPM. PACKAGE APPROVED.
Comment 12 Michal Ambroz 2014-06-17 13:27:58 EDT
New Package SCM Request
=======================
Package Name: openvas-cli
Short Description: Command-line tool to drive OpenVAS Manager
Upstream URL: http://www.openvas.org
Owners: rebus fab huzaifas sgros xavierb
Branches: f20 f21 el6 epel7
InitialCC:
Comment 13 Kevin Fenzi 2014-06-18 12:06:10 EDT
Git done (by process-git-requests).

We don't currently have f21 branches.
Comment 14 Michal Ambroz 2014-09-04 16:50:42 EDT
Package openvas-cli ready in the rawhide for next Fedora release.
Comment 15 Fedora Update System 2014-09-29 08:17:37 EDT
openvas-cli-1.3.0-2.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/openvas-cli-1.3.0-2.el7
Comment 16 Fedora Update System 2014-10-17 13:31:37 EDT
openvas-cli-1.3.0-2.el7 has been pushed to the Fedora EPEL 7 stable repository.

Note You need to log in before you can comment on or make changes to this bug.